org.jbpm.services.task.commands

## Class GetPotentialOwnersForTaskCommand

- java.lang.Object
- - org.jbpm.services.task.commands.TaskCommand<Map<Long,List<org.kie.api.task.model.OrganizationalEntity>>>
  - - org.jbpm.services.task.commands.GetPotentialOwnersForTaskCommand

- All Implemented Interfaces:
    Serializable, org.drools.core.command.impl.ExecutableCommand<Map<Long,List<org.kie.api.task.model.OrganizationalEntity>>>, org.kie.api.command.Command<Map<Long,List<org.kie.api.task.model.OrganizationalEntity>>>

      public class GetPotentialOwnersForTaskCommand
      extends TaskCommand<Map<Long,List<org.kie.api.task.model.OrganizationalEntity>>>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.commands.TaskCommand

      `groupIds, targetEntityId, taskId, userId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetPotentialOwnersForTaskCommand()`
    `GetPotentialOwnersForTaskCommand(List<Long> taskIds)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<Long,List<org.kie.api.task.model.OrganizationalEntity>>` | `execute(org.kie.api.runtime.Context cntxt)`
    `List<Long>` | `getTaskIds()`
    `void` | `setTaskIds(List<Long> taskIds)`

    - ### Methods inherited from class org.jbpm.services.task.commands.TaskCommand

      `getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.command.impl.ExecutableCommand

      `canRunInTransaction`

- - ### Constructor Detail

    - #### GetPotentialOwnersForTaskCommand

          public GetPotentialOwnersForTaskCommand()

    - #### GetPotentialOwnersForTaskCommand

          public GetPotentialOwnersForTaskCommand(List<Long> taskIds)

  - ### Method Detail

    - #### getTaskIds

          public List<Long> getTaskIds()

    - #### setTaskIds

          public void setTaskIds(List<Long> taskIds)

    - #### execute

          public Map<Long,List<org.kie.api.task.model.OrganizationalEntity>> execute(org.kie.api.runtime.Context cntxt)

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.